Skip to content

Image Host Entry

Create custom host entries (/etc/hosts) that link to other linked images that will be deployed along side this image. This is intended to support backwards compatibility with docker compose.

IMAGES


List all host entries

GET /api/container_images/{container-image-id}/custom_host_entries

OAuth Authorization Required: images_read, public

Schema
  • host_entries: Array
    • hostname: String
    • source_image: Object
      • id: Integer
      • label: String
    • created_at: DateTime
    • updated_at: DateTime

View host entry

GET /api/container_images/{container-image-id}/custom_host_entries/{id}

OAuth Authorization Required: images_read, public

Schema
  • host_entries: Object
    • hostname: String
    • source_image: Object
      • id: Integer
      • label: String
    • created_at: DateTime
    • updated_at: DateTime

Update host entry

PATCH /api/container_images/{container-image-id}/custom_host_entries/{id}

OAuth Authorization Required: images_write

Schema
  • host_entry: Object
    • hostname: String
    • source_image_id: Integer

Create host entry

POST /api/container_images/{container-image-id}/custom_host_entries

OAuth Authorization Required: images_write

Schema
  • host_entry: Object
    • hostname: String
    • source_image_id: Integer

Delete host entry

DELETE /api/container_images/{container-image-id}/custom_host_entries/{id}

OAuth Authorization Required: images_write